/***************************************************************************
                           hsircclientconnection.cpp
                           -------------------
    copyright            : (C) 2002 by Martin Scholl
    email                : ms@deridiot.net

    $Id: ircclientconnection.cpp,v 1.11 2002/04/10 18:21:48 d3cline Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "ircclientconnection.hpp"

class HSIRCClientConnection : public IRCClientConnection
{
public:
  HSIRCClientConnection( len_type inBufLen,
			 len_type outBufLen );

  virtual ~HSIRCClientConnection()
  {}
 
protected:
  /**
   * registers PollerFD::EVT_OUT
   */
  virtual void onConnected();

  /**
   * used to deregister from Poller
   */
  virtual void onClosing();

  /**
   * writes pending output
   */
  virtual void onOutput();

private:
  PollerClient m_pollerClient;
};
