/***************************************************************************
                           requestqueue.hpp
                           -------------------
    copyright            : (C) 2002 by Martin Scholl
    email                : ms@deridiot.net

    $Id: requestqueue.hpp,v 1.2 2002/05/16 17:50:24 d3cline Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef REQUESTQUEUE_HPP
#define REQUESTQUEUE_HPP


#include "fifo.hpp"

namespace httpd
{
class Request;
class HTTPClientConnection;

class RequestQueueElem
{
  Request* const              req;
  HTTPClientConnection* const conn;
};

class RequestQueue : public Fifo<RequestQueueElem>
{
public:
  RequestQueue()
    : Fifo<RequestQueueElem>()
  {}  
};

}//EON httpd
#endif
