#include "hsircclientconnection.hpp"

HSIRCClientConnection::HSIRCClientConnection( Poller* poller,
					      len_type inBufLen,
					      len_type outBufLen )
   : IRCClientConnection( inBufLen,
			  outBufLen ),
     m_pollerClient( poller, 
		     this, 
		     false )
{
}

void
HSIRCClientConnection::onConnected()
{
   IRCClientConnection::onConnected();
   


//   m_pollerClient.registerEvent( PollerFD::EVT_IN );
//   m_pollerClient.registerEvent( PollerFD::EVT_ERR );
//   m_pollerClient.registerEvent( PollerFD::EVT_HUP );  
}

void
HSIRCClientConnection::onClosing()
{
   IRCClientConnection::onClosing();
   
   m_pollerClient.unregister();
}


void
HSIRCClientConnection::onOutput()
{
   // write pending output
   if( IRCClientConnection::flushOutput() == File::eof )
      // write error
      close();
}
